Ruby: pm_multi_write_node Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
pm_multi_write_node Struct Reference

MultiWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node_list | lefts
| MultiWriteNode::lefts.
struct pm_node * | rest
| MultiWriteNode::rest.
struct pm_node_list | rights
| MultiWriteNode::rights.
pm_location_t | lparen_loc
| MultiWriteNode::lparen_loc.
pm_location_t | rparen_loc
| MultiWriteNode::rparen_loc.
pm_location_t | operator_loc
| MultiWriteNode::operator_loc.
struct pm_node * | value
| MultiWriteNode::value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

MultiWriteNode.

Type: PM_MULTI_WRITE_NODE

Definition at line 3522 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_multi_write_node::base

The embedded base node.

Definition at line 3524 of file ast.h.

## ◆ lefts

struct pm_node_list pm_multi_write_node::lefts

MultiWriteNode::lefts.

Definition at line 3527 of file ast.h.

Referenced by pm_node_destroy().

## ◆ lparen_loc

pm_location_t pm_multi_write_node::lparen_loc

MultiWriteNode::lparen_loc.

Definition at line 3536 of file ast.h.

## ◆ operator_loc

pm_location_t pm_multi_write_node::operator_loc

MultiWriteNode::operator_loc.

Definition at line 3542 of file ast.h.

## ◆ rest

struct pm_node* pm_multi_write_node::rest

MultiWriteNode::rest.

Definition at line 3530 of file ast.h.

Referenced by pm_node_destroy().

## ◆ rights

struct pm_node_list pm_multi_write_node::rights

MultiWriteNode::rights.

Definition at line 3533 of file ast.h.

Referenced by pm_node_destroy().

## ◆ rparen_loc

pm_location_t pm_multi_write_node::rparen_loc

MultiWriteNode::rparen_loc.

Definition at line 3539 of file ast.h.

## ◆ value

struct pm_node* pm_multi_write_node::value

MultiWriteNode::value.

Definition at line 3545 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h